#!/bin/sh

PREFIX=$NEWXBU_TARGET_DIR

BUILD=`$BU_NEW_SRC_DIR/config.guess`
TARGET=mingw32
HOST=$BUILD

export CC=gcc
export CXX=g++
export AS=as
export LD=ld
export AR=ar

export CFLAGS='-g0 -O2 -pipe'
export CXXFLAGS='-g0 -O2 -pipe'
export LDFLAGS='-s'
export DEBUG_FLAGS='-g0'

$BU_NEW_SRC_DIR/configure --prefix=$PREFIX \
    --build=$BUILD --host=$HOST --target=$TARGET \
    --disable-nls --disable-shared --disable-debug --enable-threads=win32 \
    --with-gcc --with-gnu-as --with-gnu-ld
