#!/bin/sh

PREFIX=$XGCC_DIR

BUILD=`$GCC_SRC_DIR/config.guess`
TARGET=mingw32
HOST=$BUILD

export BOOT_CFLAGS='-g0 -O2 -pipe'
export CFLAGS='-g0 -O2 -pipe'
export CXXFLAGS='-g0 -O2 -pipe'
export DEBUG_FLAGS='-g0'
export LDFLAGS='-s'

export PATH="$PREFIX/bin:$PATH"

$GCC_SRC_DIR/configure --prefix=$PREFIX \
    --target=$TARGET --host=$HOST --build=$BUILD \
    --enable-languages=c,c++,java \
    --disable-nls --disable-debug --enable-threads=win32 \
    --with-gcc --with-gnu-as --with-gnu-ld \
    --with-headers=$PREFIX/$TARGET/include --without-newlib \
    --disable-win32-registry --disable-multilib --disable-shared \
    --enable-libgcj --disable-java-awt --without-x --enable-java-gc=boehm \
    --disable-libgcj-debug --enable-interpreter --enable-hash-synchronization
